## r-cran-tigger 0.4.0

=== DESCRIPTION ===
Package: tigger
Type: Package
Version: 0.4.0
Date: 2019-07-18
Authors@R: c(person("Daniel", "Gadala-Maria", role=c("aut"), 
                    email="daniel.gadala-maria@yale.edu"),
             person("Susanna", "Marquez", role=c("aut"), 
                    email="susanna.marquez@yale.edu"),                    
             person("Moriah", "Cohen", role=c("aut"), 
                    email="moriah.cohen@biu.ac.il"),   
             person("Gur", "Yaari", role=c("aut"), 
                    email="gur.yaari@biu.ac.il"),
             person("Jason", "Vander Heiden", role=c("ctb", "cre"), 
                    email="jason.vanderheiden@yale.edu"),
             person("Steven", "Kleinstein", role=c("aut", "cph"), 
                    email="steven.kleinstein@yale.edu"))
Title: Infers Novel Immunoglobulin Alleles from Sequencing Data
Description: Infers the V genotype of an individual from immunoglobulin (Ig)
    repertoire sequencing data (AIRR-Seq, Rep-Seq). Includes detection of 
    any novel alleles. This information is then used to correct existing V 
    allele calls from among the sample sequences.
    Citations:
    Gadala-Maria, et al (2015) <doi:10.1073/pnas.1417683112>.
License: CC BY-SA 4.0
URL: http://tigger.readthedocs.io
BugReports: https://bitbucket.org/kleinstein/tigger/issues
LazyData: true
BuildVignettes: true
VignetteBuilder: knitr
Encoding: UTF-8
Depends: R (>= 3.2.5), ggplot2 (>= 3.1.1)
Imports: alakazam (>= 0.3.0), dplyr (>= 0.8.1), doParallel, foreach,
        graphics, gridExtra, gtools, iterators, lazyeval, parallel,
        rlang, shazam (>= 0.2.0), stats, stringi, tidyr
Suggests: knitr, testthat
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-19 05:20:14 UTC; vandej27
Author: Daniel Gadala-Maria [aut],
  Susanna Marquez [aut],
  Moriah Cohen [aut],
  Gur Yaari [aut],
  Jason Vander Heiden [ctb, cre],
  Steven Kleinstein [aut, cph]
Maintainer: Jason Vander Heiden <jason.vanderheiden@yale.edu>
Repository: CRAN
Date/Publication: 2019-07-19 05:40:03 UTC

## r-cran-tigger 0.3.1

=== debian/changelog ===
r-cran-tigger (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Oct 2018 11:39:15 +0200

r-cran-tigger (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Section: gnu-r
  * Add README.source to explain binary files

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Oct 2018 22:03:55 +0200

r-cran-tigger (0.2.11-1) unstable; urgency=medium

  * Initial release (closes: #901673.)

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Jun 2018 22:11:56 +0200

=== debian/control ===
Source: r-cran-tigger
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 2.0.0),
               r-cran-alakazam,
               r-cran-dplyr (>= 0.7.0),
               r-cran-doparallel,
               r-cran-foreach,
               r-cran-gridextra,
               r-cran-gtools,
               r-cran-iterators,
               r-cran-lazyeval,
               r-cran-rlang,
               r-cran-shazam,
               r-cran-stringi,
               r-cran-tidyr
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
Homepage: https://cran.r-project.org/package=tigger

Package: r-cran-tigger
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Infers new Immunoglobulin alleles from Rep-Seq Data
 Summary: Infers the V genotype of an individual from immunoglobulin (Ig)
 repertoire-sequencing (Rep-Seq) data, including detection of any novel
 alleles. This information is then used to correct existing V allele calls
 from among the sample sequences.
 .
 High-throughput sequencing of B cell immunoglobulin receptors is
 providing unprecedented insight into adaptive immunity. A key step in
 analyzing these data involves assignment of the germline V, D and J gene
 segment alleles that comprise each immunoglobulin sequence by matching
 them against a database of known V(D)J alleles. However, this process
 will fail for sequences that utilize previously undetected alleles,
 whose frequency in the population is unclear.
 .
 TIgGER is a computational method that significantly improves V(D)J
 allele assignments by first determining the complete set of gene segments
 carried by an individual (including novel alleles) from V(D)J-rearrange
 sequences. TIgGER can then infer a subject’s genotype from these
 sequences, and use this genotype to correct the initial V(D)J allele
 assignments.
 .
 The application of TIgGER continues to identify a surprisingly high
 frequency of novel alleles in humans, highlighting the critical need
 for this approach. TIgGER, however, can and has been used with data
 from other species.
 .
 Core Abilities:
  * Detecting novel alleles
  * Inferring a subject’s genotype
  * Correcting preliminary allele calls
 .
 Required Input
  * A table of sequences from a single individual, with columns containing
    the following:
    -   V(D)J-rearranged nucleotide sequence (in IMGT-gapped format)
    -   Preliminary V allele calls
    -   Preliminary J allele calls
    -   Length of the junction region
  * Germline Ig sequences in IMGT-gapped fasta format (e.g., as those
    downloaded from IMGT/GENE-DB)
 .
 The former can be created through the use of IMGT/HighV-QUEST and
 Change-O.

## r-cran-tigger 0.4.0

=== debian/changelog ===
r-cran-tigger (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jul 2019 05:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 2.0.0),
-               r-cran-alakazam,
-               r-cran-dplyr (>= 0.7.0),
+               r-cran-ggplot2 (>= 3.1.1),
+               r-cran-alakazam (>= 0.3.0),
+               r-cran-dplyr (>= 0.8.1),
                r-cran-doparallel,
                r-cran-foreach,
                r-cran-gridextra,
@@ -17,10 +17,10 @@
                r-cran-iterators,
                r-cran-lazyeval,
                r-cran-rlang,
-               r-cran-shazam,
+               r-cran-shazam (>= 0.2.0),
                r-cran-stringi,
                r-cran-tidyr
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
 Homepage: https://cran.r-project.org/package=tigger

## r-cran-tigger 1.0.0

=== DESCRIPTION ===
Package: tigger
Type: Package
Version: 1.0.0
Date: 2020-05-12
Authors@R: c(person("Daniel", "Gadala-Maria", role=c("aut"), 
                    email="daniel.gadala-maria@yale.edu"),
             person("Susanna", "Marquez", role=c("aut"), 
                    email="susanna.marquez@yale.edu"),                    
             person("Moriah", "Cohen", role=c("aut"), 
                    email="moriah.cohen@biu.ac.il"),   
             person("Jason", "Vander Heiden", role=c("aut", "cre"), 
                    email="jason.vanderheiden@gmail.com"),
             person("Gur", "Yaari", role=c("aut"), 
                    email="gur.yaari@biu.ac.il"),
             person("Steven", "Kleinstein", role=c("aut", "cph"), 
                    email="steven.kleinstein@yale.edu"))
Title: Infers Novel Immunoglobulin Alleles from Sequencing Data
Description: Infers the V genotype of an individual from immunoglobulin (Ig)
    repertoire sequencing data (AIRR-Seq, Rep-Seq). Includes detection of 
    any novel alleles. This information is then used to correct existing V 
    allele calls from among the sample sequences.
    Citations:
    Gadala-Maria, et al (2015) <doi:10.1073/pnas.1417683112>.
    Gadala-Maria, et al (2019) <doi:10.3389/fimmu.2019.00129>.
License: AGPL-3
URL: http://tigger.readthedocs.io
BugReports: https://bitbucket.org/kleinstein/tigger/issues
LazyData: true
BuildVignettes: true
VignetteBuilder: knitr
Encoding: UTF-8
Depends: R (>= 3.5.0), ggplot2 (>= 3.2.0)
Imports: alakazam (>= 1.0.0), shazam (>= 1.0.0), dplyr (>= 0.8.1),
        doParallel, foreach, graphics, gridExtra, gtools, iterators,
        lazyeval, parallel, rlang, stats, stringi, tidyr (>= 0.1.0)
Suggests: knitr, rmarkdown, testthat
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-05-12 20:07:24 UTC; vandej27
Author: Daniel Gadala-Maria [aut],
  Susanna Marquez [aut],
  Moriah Cohen [aut],
  Jason Vander Heiden [aut, cre],
  Gur Yaari [aut],
  Steven Kleinstein [aut, cph]
Maintainer: Jason Vander Heiden <jason.vanderheiden@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-13 05:10:03 UTC

=== debian/changelog ===
r-cran-tigger (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2020 05:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.1.1),
-               r-cran-alakazam (>= 0.3.0),
+               r-cran-ggplot2 (>= 3.2.0),
+               r-cran-alakazam (>= 1.0.0),
+               r-cran-shazam (>= 1.0.0),
                r-cran-dplyr (>= 0.8.1),
                r-cran-doparallel,
                r-cran-foreach,
@@ -17,13 +18,13 @@
                r-cran-iterators,
                r-cran-lazyeval,
                r-cran-rlang,
-               r-cran-shazam (>= 0.2.0),
                r-cran-stringi,
                r-cran-tidyr
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
 Homepage: https://cran.r-project.org/package=tigger
+Rules-Requires-Root: no
 
 Package: r-cran-tigger
 Architecture: all

## r-cran-tigger 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: tigger
 Type: Package
-Version: 1.0.0
-Date: 2020-05-12
+Version: 1.0.1
+Date: 2022-09-19
 Authors@R: c(person("Daniel", "Gadala-Maria", role=c("aut"), 
                     email="daniel.gadala-maria@yale.edu"),
-             person("Susanna", "Marquez", role=c("aut"), 
+             person("Susanna", "Marquez", role=c("aut", "cre"), 
                     email="susanna.marquez@yale.edu"),                    
              person("Moriah", "Cohen", role=c("aut"), 
                     email="moriah.cohen@biu.ac.il"),   
-             person("Jason", "Vander Heiden", role=c("aut", "cre"), 
+             person("Jason", "Vander Heiden", role=c("aut"), 
                     email="jason.vanderheiden@gmail.com"),
              person("Gur", "Yaari", role=c("aut"), 
                     email="gur.yaari@biu.ac.il"),
@@ -30,19 +30,19 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 Depends: R (>= 3.5.0), ggplot2 (>= 3.2.0)
-Imports: alakazam (>= 1.0.0), shazam (>= 1.0.0), dplyr (>= 0.8.1),
-        doParallel, foreach, graphics, gridExtra, gtools, iterators,
-        lazyeval, parallel, rlang, stats, stringi, tidyr (>= 0.1.0)
+Imports: alakazam (>= 1.1.0.999), dplyr (>= 0.8.1), doParallel,
+        foreach, graphics, gridExtra, gtools, iterators, lazyeval,
+        parallel, rlang, stats, stringi, tidyr (>= 0.1.0)
 Suggests: knitr, rmarkdown, testthat
-RoxygenNote: 7.1.0
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2020-05-12 20:07:24 UTC; vandej27
+Packaged: 2022-09-20 17:00:30 UTC; susanna
 Author: Daniel Gadala-Maria [aut],
-  Susanna Marquez [aut],
+  Susanna Marquez [aut, cre],
   Moriah Cohen [aut],
-  Jason Vander Heiden [aut, cre],
+  Jason Vander Heiden [aut],
   Gur Yaari [aut],
   Steven Kleinstein [aut, cph]
-Maintainer: Jason Vander Heiden <jason.vanderheiden@gmail.com>
+Maintainer: Susanna Marquez <susanna.marquez@yale.edu>
 Repository: CRAN
-Date/Publication: 2020-05-13 05:10:03 UTC
+Date/Publication: 2022-09-20 21:50:02 UTC

=== debian/changelog ===
r-cran-tigger (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 15:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2 (>= 3.2.0),
-               r-cran-alakazam (>= 1.0.0),
-               r-cran-shazam (>= 1.0.0),
+               r-cran-alakazam (>= 1.1.0.999),
                r-cran-dplyr (>= 0.8.1),
                r-cran-doparallel,
                r-cran-foreach,
@@ -20,7 +19,7 @@
                r-cran-rlang,
                r-cran-stringi,
                r-cran-tidyr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
 Homepage: https://cran.r-project.org/package=tigger

## r-cran-tigger 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tigger
 Type: Package
-Version: 1.0.1
-Date: 2022-09-19
+Version: 1.1.0
+Date: 2023-10-10
 Authors@R: c(person("Daniel", "Gadala-Maria", role=c("aut"), 
                     email="daniel.gadala-maria@yale.edu"),
              person("Susanna", "Marquez", role=c("aut", "cre"), 
@@ -20,7 +20,7 @@
     any novel alleles. This information is then used to correct existing V 
     allele calls from among the sample sequences.
     Citations:
-    Gadala-Maria, et al (2015) <doi:10.1073/pnas.1417683112>.
+    Gadala-Maria, et al (2015) <doi:10.1073/pnas.1417683112>,
     Gadala-Maria, et al (2019) <doi:10.3389/fimmu.2019.00129>.
 License: AGPL-3
 URL: http://tigger.readthedocs.io
@@ -29,14 +29,14 @@
 BuildVignettes: true
 VignetteBuilder: knitr
 Encoding: UTF-8
-Depends: R (>= 3.5.0), ggplot2 (>= 3.2.0)
-Imports: alakazam (>= 1.1.0.999), dplyr (>= 0.8.1), doParallel,
-        foreach, graphics, gridExtra, gtools, iterators, lazyeval,
-        parallel, rlang, stats, stringi, tidyr (>= 0.1.0)
+Depends: R (>= 4.0), ggplot2 (>= 3.4.0)
+Imports: alakazam (>= 1.3.0), dplyr (>= 1.0.0), doParallel, foreach,
+        graphics, gridExtra, gtools, iterators, lazyeval, parallel,
+        rlang, stats, stringi, tidyr (>= 1.1.0), utils
 Suggests: knitr, rmarkdown, testthat
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-09-20 17:00:30 UTC; susanna
+Packaged: 2023-10-10 12:54:05 UTC; susanna
 Author: Daniel Gadala-Maria [aut],
   Susanna Marquez [aut, cre],
   Moriah Cohen [aut],
@@ -45,4 +45,4 @@
   Steven Kleinstein [aut, cph]
 Maintainer: Susanna Marquez <susanna.marquez@yale.edu>
 Repository: CRAN
-Date/Publication: 2022-09-20 21:50:02 UTC
+Date/Publication: 2023-10-10 13:40:02 UTC

=== debian/changelog ===
r-cran-tigger (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 15:00:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.2.0),
-               r-cran-alakazam (>= 1.1.0.999),
-               r-cran-dplyr (>= 0.8.1),
+               r-cran-ggplot2 (>= 3.4.0),
+               r-cran-alakazam (>= 1.3.0),
+               r-cran-dplyr,
                r-cran-doparallel,
                r-cran-foreach,
                r-cran-gridextra,
@@ -19,7 +19,7 @@
                r-cran-rlang,
                r-cran-stringi,
                r-cran-tidyr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
 Homepage: https://cran.r-project.org/package=tigger

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/tigger_([-\d.]*)\.tar\.gz

## r-cran-tigger 1.1.2

=== debian/changelog ===
r-cran-tigger (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 15:25:19 +0900

r-cran-tigger (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 16:33:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: r-cran-tigger
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-ggplot2 (>= 3.4.0),
-               r-cran-alakazam (>= 1.3.0),
-               r-cran-dplyr,
-               r-cran-doparallel,
-               r-cran-foreach,
-               r-cran-gridextra,
-               r-cran-gtools,
-               r-cran-iterators,
-               r-cran-lazyeval,
-               r-cran-rlang,
-               r-cran-stringi,
-               r-cran-tidyr
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-ggplot2,
+ r-cran-alakazam (>= 1.3.0),
+ r-cran-dplyr,
+ r-cran-doparallel,
+ r-cran-foreach,
+ r-cran-gridextra,
+ r-cran-gtools,
+ r-cran-iterators,
+ r-cran-lazyeval,
+ r-cran-rlang,
+ r-cran-stringi,
+ r-cran-tidyr,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tigger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tigger.git
 Homepage: https://cran.r-project.org/package=tigger
@@ -27,10 +30,13 @@
 
 Package: r-cran-tigger
 Architecture: all
-Depends: ${R:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: Infers new Immunoglobulin alleles from Rep-Seq Data
  Summary: Infers the V genotype of an individual from immunoglobulin (Ig)
  repertoire-sequencing (Rep-Seq) data, including detection of any novel
